Got screwed up with latest update - need older version!

Discuss Decibel, a high quality audio player.
Post Reply
maxdb
Posts: 15
Joined: Fri Feb 03, 2012 6:58 pm

Got screwed up with latest update - need older version!

Post by maxdb » Tue Jun 24, 2014 10:24 pm

I use a Mac Mini for music playback and nothing else... the only reason this computer is in the house is to play music. Other uses of the computer are all incidental to playing music (keeping applications up to date, etc.).

Today (June 22, 2014) when I started Decibel, a pop-up window informed me of a new version being available for download. So I did the update. When the update was done, I try to open Decibel and am met with an error message telling me this version of Decibel requires Mac OS X 10.7 or higher.

I am running 10.6.8 and have no intentions of ever updating the OS on the Mac Mini. The platform is incredibly stable for music playback and I don't NEED anything else that's in newer OS versions because all I do with this computer is play music (to a high quality USB DAC).

I am pretty annoyed that the Decibel installer went ahead with the install in spite of the OS being too old for the current version.

I've spent an hour looking for somewhere to download an older version of Decibel or trying to figure out if the earlier version is still on the computer somewhere -- it does not appear to be (sure would have been nice if the older version was renamed decibel.old or something like that so I could just delete decibel.app and rename decibel.old to decibel.app and get back to my previous version.

So... is there any help for me to recover from this? Installing a newer OS is not something I'm interested in doing. I am so ticked off right now, I could spit. I really wanted to enjoy some music over the "big system" this afternoon but I'm relegated back to the Windows laptop which just does not sound as good no matter what software I use -- seems impossible, but I've been trying things on the PC Laptop for 3 or 4 years trying to get it to sound as good as the Mac Mini and it just never does... ASIO, Event Style... gets the PC Laptop sounding as good as it can, but it's not as good as the Mac Mini for whatever reason. Should be impossible, I know all the arguments against it being possible. But it's not that difficult to hear if you have listening skills and are playing lossless music files (which is all I play) and if you avoid iTunes in every possible way.

Also, I don't see a license for decibel on my disc (a solid-state disc drive). I bought it quite a while ago and have no memory of whether it came from Apple via iTunes or App Store or whether I bought it directly (somehow). So if the process of getting an older version is going to require a license, I may need help with that also. I've had Decibel as long as I've had the Mac Mini... maybe 3 years or a bit longer. How do I get back to the previous version of Decibel that will work with my 10.6.8 OS? I won't ever upgrade Decibel again... which is fine, it was working fine for my purposes just as it was. Just in case this is something that can be Emailed to me, the Email address at yaboo.com is dougbbn - thanks!

User avatar
sbooth
Site Admin
Posts: 2445
Joined: Fri Dec 23, 2005 7:45 am
Location: USA
Contact:

Re: Got screwed up with latest update - need older version!

Post by sbooth » Wed Jun 25, 2014 1:29 am

You can download Decibel 1.2.11 from http://s3.amazonaws.com/feisty-dog/vers ... 1356321829

I'm sorry for the installer grabbing the binary when it isn't compatible with your version of Mac OS X- that isn't supposed to happen.

maxdb
Posts: 15
Joined: Fri Feb 03, 2012 6:58 pm

Re: Got screwed up with latest update - need older version!

Post by maxdb » Wed Jun 25, 2014 4:24 am

OK, thanks for the quick reply. Problem solved!

aiyagari
Posts: 1
Joined: Wed Sep 17, 2014 5:29 am

Re: Got screwed up with latest update - need older version!

Post by aiyagari » Wed Sep 17, 2014 5:33 am

(I tried to PM, but the forum won't let me since I just registered and I need to "post some items".)

Thanks for this - works great for me as well - but now I need to register this software!

I have purchased a license key, but for the old version I need to know how to construct the license file since I never registered the old version in the past.

Can you send me an example license file so I can use that to paste in my license key?

Thanks,
sbooth wrote:You can download Decibel 1.2.11 from http://s3.amazonaws.com/feisty-dog/vers ... 1356321829

I'm sorry for the installer grabbing the binary when it isn't compatible with your version of Mac OS X- that isn't supposed to happen.

Post Reply

Who is online

Users browsing this forum: No registered users and 3 guests